Session (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session
Interface Session

All Superinterfaces:
  Serializable, edu.internet2.middleware.shibboleth.common.session.Session

    public interface Session

extends edu.internet2.middleware.shibboleth.common.session.Session

Session information for user logged into the IdP.

Field Summary
`static String` | `HTTP_SESSION_BINDING_ATTRIBUTE` Name of the HTTP request attribute to which a users IdP session is bound.

Method Summary
`Map<String,AuthenticationMethodInformation>` | `getAuthenticationMethods()` Gets the methods by which the user has authenticated to the IdP.
`Map<String,ServiceInformation>` | `getServicesInformation()` Gets the services the user has logged in to.
`byte[]` | `getSessionSecret()` A secret associated with this session.

Methods inherited from interface edu.internet2.middleware.shibboleth.common.session.Session
`getInactivityTimeout, getLastActivityInstant, getPrincipalName, getSessionID, getSubject, setLastActivityInstant, setSubject`

Field Detail

### HTTP_SESSION_BINDING_ATTRIBUTE

    static final String HTTP_SESSION_BINDING_ATTRIBUTE

  Name of the HTTP request attribute to which a users IdP session is bound.

  See Also:
    Constant Field Values

Method Detail

### getSessionSecret

    byte[] getSessionSecret()

  A secret associated with this session.

  Returns:
    secret associated with this session

### getAuthenticationMethods

    Map<String,AuthenticationMethodInformation> getAuthenticationMethods()

  Gets the methods by which the user has authenticated to the IdP.

  Returns:
    methods by which the user has authenticated to the IdP

### getServicesInformation

    Map<String,ServiceInformation> getServicesInformation()

  Gets the services the user has logged in to.

  Returns:
    services the user has logged in to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.